SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001676SiT!billingpublic2011-08-08 11:562013-07-06 17:03
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001676: Activity page "Duration" column is wrong/misleading
DescriptionWhen using Activities to record time spent for billing purposes the Activity summary page on an incident shows a column for "Duration" which doesn't show the different between start and completed times as one would expect but actually shows the amount of time that is to be billed based on the customer unit setting in the SLA.
Unfortunately because this is calculated per-row the value shown in the duration column can be incorrect, for example two activities marked complete after one minute should show a total billable time of 1 unit, instead each row shows a duration equal to one unit making a total of 2 units. This disagrees with the Activity Billing section shown below.

See screenshot.
Steps To Reproduce1) Start an activity and mark it complete more or less immediately.
2) Start another activity and mark it complete ore or less immediately.
3) Look at the activities page.
TagsNo tags attached.
Attached Filespng file icon billing-11.png [^] (41,063 bytes) 2011-08-08 11:56

- Relationships
related to 0001000confirmed Activities start counting at 1hr 
related to 0000805confirmed Times in adding activities are not showing correctly 

-  Notes
User avatar (0004188)
ivan (administrator)
2011-08-08 11:57

I would expect the top column to show Duration as "1 Minute" for both activities, since the top section is showing a summary of the activities as they happened and the bottom section is the one that should be showing how that is billed.
User avatar (0004218)
paulh (administrator)
2011-08-13 19:29

Agree, this is weird, believe this was something Kieran implemented and there was (what seemed liked a good) reason at the time for showing it this way but have no idea what it is now
User avatar (0004817)
paulh (administrator)
2013-05-04 18:23

9184bd4 resolves this by showing minutes

- Issue History
Date Modified Username Field Change
2011-08-08 11:56 ivan New Issue
2011-08-08 11:56 ivan File Added: billing-11.png
2011-08-08 11:57 ivan Note Added: 0004188
2011-08-08 12:52 ivan Relationship added related to 0001000
2011-08-08 12:53 ivan Relationship added related to 0000805
2011-08-13 19:29 paulh Note Added: 0004218
2011-08-13 19:29 paulh Status new => confirmed
2013-05-04 18:23 paulh Note Added: 0004817
2013-05-04 18:23 paulh Assigned To => paulh
2013-05-04 18:23 paulh Status confirmed => resolved
2013-05-04 18:23 paulh Resolution open => fixed
2013-05-04 18:23 paulh Fixed in Version => Current GIT
2013-07-06 17:03 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker